clan::DelauneyTriangulator Class Reference - ClanLib SDK
Description: clan::DelauneyTriangulator Class Reference

Public Member Functions | List of all members
clan::DelauneyTriangulator Class Reference
clanCore Math

Delauney triangulator. More...

`#include <delauney_triangulator.h>`

## Public Member Functions
| DelauneyTriangulator ()
| Creates a triangulator object.
virtual | ~DelauneyTriangulator ()
void | add_vertex (float x, float y, void *data)
| This function specifies a point to be used in the triangulation.
void | generate ()
| Converts passed points into triangles.
const std::vector< DelauneyTriangulator_Triangle > & | get_triangles () const
| Returns the resulting triangles produced from triangulation.
const std::vector< DelauneyTriangulator_Vertex > & | get_vertices () const
| Returns the list of vertices in the triangulation.

## Detailed Description

Delauney triangulator.

This class uses the delauney triangulation algorithm to produce triangles between a list of points.

## Constructor & Destructor Documentation

## ◆ DelauneyTriangulator()

clan::DelauneyTriangulator::DelauneyTriangulator | ( |  | ) |

Creates a triangulator object.

## ◆ ~DelauneyTriangulator()

virtual clan::DelauneyTriangulator::~DelauneyTriangulator | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ add_vertex()

void clan::DelauneyTriangulator::add_vertex | ( | float | x,
|  | float | y,
|  | void * | data )

This function specifies a point to be used in the triangulation.

## ◆ generate()

void clan::DelauneyTriangulator::generate | ( |  | ) |

Converts passed points into triangles.

## ◆ get_triangles()

const std::vector< DelauneyTriangulator_Triangle > & clan::DelauneyTriangulator::get_triangles | ( |  | ) | const

Returns the resulting triangles produced from triangulation.

## ◆ get_vertices()

const std::vector< DelauneyTriangulator_Vertex > & clan::DelauneyTriangulator::get_vertices | ( |  | ) | const

Returns the list of vertices in the triangulation.

The documentation for this class was generated from the following file:

- delauney_triangulator.h